#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	
    // iOS default stuff
	ofRegisterTouchEvents(this);
	ofxAccelerometer.setup();
	ofxiPhoneAlerts.addListener(this);
	//iPhoneSetOrientation(OFXIPHONE_ORIENTATION_LANDSCAPE_RIGHT);
	ofBackground(0,0,0);
    //
    mona.loadImage("Mona_Lisa.jpeg");
    originalW=mona.width;
    originalH=mona.height;
    posX=50;
    posY=50;
    ratio=0.5;
}

//--------------------------------------------------------------
void testApp::update(){
    //printf("Frame: %i",ofGetFrameNum());
    //printf("Pos: %f %f",posX,posY);
    if(twoFingers){
        centerX = (t0x+t1x)/2;
        centerY = (t0y+t1y)/2;
        ratio=ofDist(t0x,t0y,t1x,t1y)/400;
        printf("Ratio: %f \n",ratio);
        newW=floor(originalW*ratio);
        newH=floor(originalH*ratio);
        /*if(ofGetFrameNum()%10==0){
            mona.resize(newW,newH);
        }*/
    }
}

//--------------------------------------------------------------
void testApp::draw(){
    //int ratioInt = floor(ratio);
    if(twoFingers){
        ofSetColor(255, 255, 255);
        ofPushMatrix();
        ofTranslate(centerX,centerY);
        ofScale(ratio, ratio, 1);
        mona.draw(-mona.width/2,-mona.height/2);
        ofPopMatrix();
        ofSetColor(255, 0, 0);
        ofLine(t0x,t0y,t1x,t1y);
        ofCircle(centerX,centerY,20);
    }else{
        ofSetColor(255, 255, 255);
        ofPushMatrix();
        ofTranslate(posX,posY);
        ofScale(ratio, ratio, 1);
        mona.draw(mona.width/2,mona.height/2);
        ofPopMatrix();
    }
}

//--------------------------------------------------------------
void testApp::exit(){

}

//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs &touch){
    if(touch.id==0){
        distX=touch.x-posX;
        distY=touch.y-posY;
    }

}

//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs &touch){
    if(touch.id==0){
        if(touch.x>posX && touch.x<posX+mona.width 
        && touch.y>posY && touch.y<posY+mona.height){
            t0x=touch.x;
            t0y=touch.y;
            posX=touch.x-distX;
            posY=touch.y-distY;
        }
    }
    if(touch.id==1){
        twoFingers=true;
        t1x=touch.x;
        t1y=touch.y;
    }
}

//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs &touch){
    if(touch.id==1){
        twoFingers=false;
        posX=centerX-mona.width/2;
        posY=centerY-mona.height/2;
        //mona.loadImage("Mona_Lisa.jpeg");
        //mona.resize(newW,newH);
    }
}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::lostFocus(){

}

//--------------------------------------------------------------
void testApp::gotFocus(){

}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){

}


//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs& args){

}

